package cloud.javastudy.study.demo.task;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/5
 **/
@Component
public class TestTask {

    /**
     * 定时任务的类和别的springBean没什么区别
     * 方法上要加@Scheduled,里面写定时的cron表达式
     */
    @Scheduled(cron = "0/5 * * * * *")
    public void testSchedule(){
        System.out.println(new Date());
        System.out.println("这个是每5秒执行一次");
    }
}
